/*
 * generated by Xtext 2.18.0.M3
 */
package tdt4250.ra.parser.antlr;

import com.google.inject.Inject;
import org.eclipse.xtext.parser.antlr.AbstractAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import tdt4250.ra.parser.antlr.internal.InternalRax1Parser;
import tdt4250.ra.services.Rax1GrammarAccess;

public class Rax1Parser extends AbstractAntlrParser {

	@Inject
	private Rax1GrammarAccess grammarAccess;

	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	

	@Override
	protected InternalRax1Parser createParser(XtextTokenStream stream) {
		return new InternalRax1Parser(stream, getGrammarAccess());
	}

	@Override 
	protected String getDefaultRuleName() {
		return "Department";
	}

	public Rax1GrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(Rax1GrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
